Bug 1510438 (CVE-2017-15286) - CVE-2017-15286 sqlite: NULL pointer dereference in tableColumnList
Summary: CVE-2017-15286 sqlite: NULL pointer dereference in tableColumnList
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-15286
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1488882 1488883 1488884
Blocks: 1506679
TreeView+ depends on / blocked
 
Reported: 2017-11-07 12:07 UTC by Andrej Nemec
Modified: 2019-09-29 14:24 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:30:27 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-11-07 12:07:32 UTC
SQLite 3.20.1 has a NULL pointer dereference in tableColumnList in shell.c because it fails to consider certain cases where `sqlite3_step(pStmt)==SQLITE_ROW` is false and a data structure is never initialized. An attacker might use this for a denial of service.

References:

https://github.com/Ha0Team/crash-of-sqlite3/blob/master/poc.md

Upstream patch:

http://www.sqlite.org/src/info/5d0ceb8dcdef92cd

Comment 1 Andrej Nemec 2017-11-07 12:08:32 UTC
Created mingw-sqlite tracking bugs for this issue:

Affects: epel-7 [bug 1488882]
Affects: fedora-all [bug 1488883]


Created sqlite tracking bugs for this issue:

Affects: fedora-all [bug 1488884]


Note You need to log in before you can comment on or make changes to this bug.